osl::eval::ml::King25EmptySquareNoEffectEnding Class Reference

`#include <kingTable.h>`

Inheritance diagram for osl::eval::ml::King25EmptySquareNoEffectEnding:

## Static Public Member Functions

static void | setUp (const Weights &weigths)
static const CArray< int, 2 > | eval (const NumEffectState &state)
static const CArray< int, 15 > & | weights ()
Static Public Member Functions inherited from osl::eval::ml::King25EmptySquareNoEffect
template<Player defense>
static int | evalOne (const NumEffectState &state, const CArray< int, 15 > &table)
template<Player defense>
static std::pair< int, int > | evalOne (const NumEffectState &state, const CArray< int, 15 > &opening, const CArray< int, 15 > &ending)
static std::pair< CArray< int, 2 >, CArray< int, 2 > > | eval (const NumEffectState &state, const CArray< int, 15 > &opening, const CArray< int, 15 > &ending)
static std::pair< CArray< int, 2 >, CArray< int, 2 > > | evalWithUpdate (const NumEffectState &state, Move last_move, const CArray< int, 15 > &opening, const CArray< int, 15 > &ending, const CArray< int, 2 > &last_opening_value, const CArray< int, 2 > &last_ending_value)
static int | index (int rel_x, int rel_y)
static void | setUpBase (const Weights &weigths, CArray< int, 15 > &table)

## Static Private Attributes

static CArray< int, 15 > | table

## Additional Inherited Members

Public Types inherited from osl::eval::ml::King25EmptySquareNoEffect
enum | { DIM = 3 * 5 }

## Detailed Description

Definition at line 454 of file kingTable.h.

## Member Function Documentation

## eval()

const osl::CArray< int, 2 > osl::eval::ml::King25EmptySquareNoEffectEnding::eval | ( | const NumEffectState & | state | ) |

static

Definition at line 754 of file kingTable.cc.

References osl::eval::ml::King25EmptySquareNoEffect::evalOne(), and table.

## setUp()

void osl::eval::ml::King25EmptySquareNoEffectEnding::setUp | ( | const Weights & | weigths | ) |

inline static

Definition at line 459 of file kingTable.h.

References osl::eval::ml::King25EmptySquareNoEffect::setUpBase(), and table.

## weights()

const CArray< int, 15 > & osl::eval::ml::King25EmptySquareNoEffectEnding::weights | ( |  | ) |

inline static

Definition at line 461 of file kingTable.h.

References table.

## Member Data Documentation

## table

osl::CArray< int, 15 > osl::eval::ml::King25EmptySquareNoEffectEnding::table

static private

Definition at line 457 of file kingTable.h.

Referenced by eval(), setUp(), and weights().

The documentation for this class was generated from the following files:

- kingTable.h
- kingTable.cc